<!DOCTYPE html>
<html>
  <head>
    <title>Loading...</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <link href="vendor/bootstrap.min.css" rel="stylesheet" media="screen">
    <link href="vendor/prettify.css" rel="stylesheet" media="screen">
    <link href="css/style.css" rel="stylesheet" media="screen, print">
    <link href="img/favicon.ico" rel="icon" type="image/x-icon">
    <script src="vendor/polyfill.js"></script>
  </head>
<body>

<script id="template-versions-list" type="text/x-handlebars-template">
  {{#each versions}}
    <li>
      <a href="#">{{.}}</a>
    </li>
  {{/each}}
</script>

<script id="template-project" type="text/x-handlebars-template">
  <div>
    <div class="btn-group pull-left">
      <button type="button" class="btn btn-success" disabled>{{__ "version"}}</button>
      <button id="version" type="button" class="btn dropdown-toggle" data-toggle="dropdown">
        <strong></strong><span class="caret"></span>
      </button>
      <ul id="versions" class="dropdown-menu open-right">
  {{subTemplate "versions-list" versions=.}}
      </ul>
    </div>

    <div class="pull-right">
      <div class="btn-group">
        <button type="button" class="btn btn-success" disabled>{{__ "compared to"}}</button>

        <button id="version-to-compare" type="button" class="btn dropdown-toggle" data-toggle="dropdown">
          <strong></strong> <span class="caret"></span>
        </button>
        <ul id="versions-to-compare" class="dropdown-menu open-left">
  {{subTemplate "versions-list" versions=.}}
        </ul>
      </div>

      <div class="btn-group">
        <button id="compare" type="button" class="btn btn-primary">{{__ "compare"}}</button>
      </div>
    </div>
  </div>
  <div class="clearfix"></div>
</script>

<script id="template-sidenav" type="text/x-handlebars-template">
  <nav class="sidenav">
  {{#forEach sections}}
    <hr>
    <ul section-id="{{@key}}" class="nav nav-list" order="{{order}}" state="{{state}}">
    {{#if title}}
        <h2>{{title}}</h2>
    {{/if}}

    {{#forEach tags}}
      <div tag-id="{{@key}}" order="{{order}}" state="{{state}}">
      {{#if title}}
        <li class="nav-header">{{title}}</li>
      {{/if}}

      {{#forEach articles}}
        <li article-id="{{@key}}" order="{{order}}" state="{{state}}">
          <a href="#{{@key}}" {{#assigned articleState}}state="{{articleState}}"{{/assigned}}>{{title}}</a>
        </li>
      {{/forEach}}
      </div>
    {{/forEach}}
    </ul>
  {{/forEach}}
  </nav>
</script>

<script id="template-articles" type="text/x-handlebars-template">
  {{#forEach .}}
    <article id="{{@key}}" class="hide">
      {{{subTemplate "article" }}}
    </article>
  {{/forEach}}
</script>

<script id="template-article" type="text/x-handlebars-template">
  <div class="pull-left">
    <h1>{{{showDiff title title_diff}}}
      {{#if_changed state}}
      <sup state="{{state}}">{{__ state}}</sup>
      {{/if_changed}}
    </h1>
  </div>
  <div class="clearfix"></div>

  {{#forEach body}}
  <div element-id='{{@key}}' order='{{order}}'>
    {{{subTemplate type element=this}}}
  </div>
  {{/forEach}}
  </article>
</script>

<script id="template-ElementDescription" type="text/x-handlebars-template">
  {{#element}}
    {{{showDiff text text_diff}}}
  {{/element}}
</script>

<script id="template-ElementQueryMethod" type="text/x-handlebars-template">
  {{#element}}
    <pre class="prettyprint language-html" data-type="{{toLowerCase method}}"><code>{{url}}</code></pre>
  {{/element}}
</script>

<script id="template-ElementInheritors" type="text/x-handlebars-template">
  {{#element}}
  <h2>{{__ "Inheritors"}}</h2>
  <table>
    <tbody>
      <col width="15%">
    {{#forEach list}}
      <tr>
        <td>
          <a href="#{{ref}}">{{refName}}</a>
        </td>
      {{#if summary}}
        <td>- {{summary}}</td>
      {{/if}}
      </tr>
    {{/forEach}}
    </tbody>
  </table>
  {{/element}}
</script>

<script id="template-ElementParamsGroup" type="text/x-handlebars-template">
  {{#element}}
    {{#if title}}
  <h2>{{__ title}}</h2>
    {{/if}}
  <table>
    <thead>
      <tr>
    {{#if hasField}}
        <th style="width: 30%">{{__ "Field"}}</th>
    {{/if}}
        <th style="width: 20%">{{__ "Type"}}</th>
    {{#if hasDescription}}
        <th style="width: 50%">{{__ "Description"}}</th>
    {{/if}}
      </tr>
    </thead>
    <tbody>
    {{#forEach params}}
      <tr state="{{state}}">
      {{#if ../hasField}}
        <td class="code">
        {{^if_eq in "body" }}{{{@key}}}{{^if_eq in null}}<br>{{/if_eq}}{{/if_eq}}
        {{#if in}}<span class="label label-in">{{__ in}}</span>{{/if}}
        {{^if required}}<span class="label label-optional ">{{__ "optional"}}</span>{{/if}}       
        </td>
      {{/if}}
        <td>
      {{#if paramType.name}}{{paramType.name}}{{#if paramType.format}} ({{paramType.format}}){{/if}} {{/if}}{{#if paramType.ref}}<a class="articleRef" href="#{{paramType.ref}}">{{/if}}{{#if paramType.refName}}{{paramType.refName}}{{/if}}{{#if paramType.ref}}</a>{{/if}}
        </td>
      {{#if ../hasDescription}}
        <td>
        {{#assigned description}}
          {{{nl2br description}}}
        {{/assigned}}

        {{#assigned paramType.defaultValue}}
          <p class="default-value">{{__ "Default value:"}}<code>{{{paramType.defaultValue}}}</code></p>
        {{/assigned}}

        {{#assigned paramType.pattern}}
          <p class="type-pattern">{{__ "Pattern:"}} <code>{{{paramType.pattern}}}</code></p>
        {{/assigned}}

        {{#assigned paramType.allowedValues}}
          <p class="type-size">{{__ "Allowed values:"}}
          {{#forEach paramType.allowedValues}}
            <code>{{{@key}}}{{#if description}} - {{description}}{{/if}}</code>{{#unless @last}},{{#if description}}<br>{{/if}}{{/unless}}
          {{/forEach}}
          </p>
        {{/assigned}}
        </td>
      {{/if}}
      </tr>
    {{/forEach}}
    </tbody>
  </table>
  {{/element}}
</script>

<div class="container-fluid">
  <div class="row-fluid">
  <div id="sidenav" class="span2"></div>
  <div id="content">
    <div id="project"></div>
    <div id="articles"></div>
  </div>
  </div>
</div>

<div id="loader">
  <div class="spinner">
    <div class="spinner-container container1">
      <div class="circle1"></div><div class="circle2"></div><div class="circle3"></div><div class="circle4"></div>
    </div>
    <div class="spinner-container container2">
      <div class="circle1"></div><div class="circle2"></div><div class="circle3"></div><div class="circle4"></div>
    </div>
    <div class="spinner-container container3">
      <div class="circle1"></div><div class="circle2"></div><div class="circle3"></div><div class="circle4"></div>
    </div>
    <p>Loading...</p>
  </div>
</div>

<script data-main="main.js" src="vendor/require.min.js"></script>
</body>
</html>
